package com.loan.system.service;

import com.loan.system.domain.entity.CollateralPlan;

import java.util.List;

public interface CollateralPlanService {
    void save(CollateralPlan collateralPlan);
    CollateralPlan findByCollateralPlanId(Long id);
    void logic_delete(Long id);
    void updateCollateraluserIdByid(Long collateralId, Long userId);
    List<CollateralPlan> findByCaseIdAndIsDelete(Long caseId, boolean isDelete);
    void updateCollateralStatusByid(Long collateralId, String status);
    void updateCollateraloperatorIdByid(Long planId, Long operatorId, String operatorName);
    List<CollateralPlan> findByCollateralIdAndIsDelete(Long collateralId);
    CollateralPlan findById(Long id);
}
